Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePipeline LifecyclePOST /v0/pipelines/{pipeline_name}/checkpoint/sync

Sync Checkpoints To S3

POST/v0/pipelines/{pipeline_name}/checkpoint/syncPipeline Lifecycle

Try it

POST/v0/pipelines/{pipeline_name}/checkpoint/sync
Authentication
Parameters

Syncs latest checkpoints to the object store configured in pipeline config.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Checkpoint synced to object storeapplication/json
  • object
    Response to a checkpoint request.
    • checkpoint_sequence_numberinteger (int64)required
404No checkpoints foundapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X POST 'https://api.example.com/v0/pipelines/{pipeline_name}/checkpoint/sync' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown pipeline name 'non-existent-pipeline'", "error_code": "UnknownPipelineName", "details": { "pipeline_name": "non-existent-pipeline" } }